Loading...
Searching...
No Matches
Gfx::EngineGroundSpot Struct Reference

A spot (large shadow) drawn on the ground by the graphics engine. More...

`#include <src/graphics/engine/engine.h>`

## Public Member Functions

void | LoadDefault ()

## Public Attributes

bool | used = false
| If true, ground spot is valid.
Color | color
| Color of the shadow.
float | min = 0.0f
| Min altitude.
float | max = 0.0f
| Max altitude.
float | smooth = 0.0f
| Transition area.
Math::Vector | pos
| Position for the shadow.
float | radius = 0.0f
| Radius of the shadow.
Math::Vector | drawPos
| Position of the shadow drawn.
float | drawRadius = 0.0f
| Radius of the shadow drawn.

## Detailed Description

A spot (large shadow) drawn on the ground by the graphics engine.

## Member Data Documentation

## used

bool Gfx::EngineGroundSpot::used = false

If true, ground spot is valid.

## color

Color Gfx::EngineGroundSpot::color

Color of the shadow.

## min

float Gfx::EngineGroundSpot::min = 0.0f

Min altitude.

## max

float Gfx::EngineGroundSpot::max = 0.0f

Max altitude.

## smooth

float Gfx::EngineGroundSpot::smooth = 0.0f

Transition area.

## pos

Math::Vector Gfx::EngineGroundSpot::pos

Position for the shadow.

## radius

float Gfx::EngineGroundSpot::radius = 0.0f

Radius of the shadow.

## drawPos

Math::Vector Gfx::EngineGroundSpot::drawPos

Position of the shadow drawn.

## drawRadius

float Gfx::EngineGroundSpot::drawRadius = 0.0f

Radius of the shadow drawn.

The documentation for this struct was generated from the following file:

- src/graphics/engine/engine.h